## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.10

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XPathProcessorImpl Class Reference

The XPathProcessorImpl class responsibilities include tokenizing and parsing the XPath expression, and acting as a general interface to XPaths. More...

`#include <XPathProcessorImpl.hpp>`

Inheritance diagram for XPathProcessorImpl:

[legend]
Collaboration diagram for XPathProcessorImpl:

[legend]
List of all members.

## Public Types

- typedef XalanMap<XalanDOMString,
  const XalanDOMString*> StringToStringMapType
- typedef XalanVector<bool> BoolVectorType

## Public Methods

- XPathProcessorImpl (MemoryManagerType &theManager XALAN_DEFAULT_MEMMGR)
- virtual ~XPathProcessorImpl ()
- virtual void initXPath (XPath &pathObj, XPathConstructionContext &constructionContext, const XalanDOMString &expression, const PrefixResolver &resolver, const LocatorType *locator=0, bool allowVariableReferences=true, bool allowKeyFunction=true)
    Given a string, make an XPath object, in order that a parse doesn't have to be done each time the expression is executed. More...
- virtual void initMatchPattern (XPath &pathObj, XPathConstructionContext &constructionContext, const XalanDOMString &expression, const PrefixResolver &resolver, const LocatorType *locator=0, bool allowVariableReferences=true, bool allowKeyFunction=true)
    Given a string, create an XSLT Match Pattern object. More...

## Static Public Methods

- XPathProcessorImpl* create (MemoryManagerType &theManager)

## Detailed Description

The XPathProcessorImpl class responsibilities include tokenizing and parsing the XPath expression, and acting as a general interface to XPaths.

## Member Typedef Documentation

typedef XalanVector< bool > XPathProcessorImpl::BoolVectorType<bool>

typedef XalanMap< XalanDOMString, const XalanDOMString *> XPathProcessorImpl::StringToStringMapType<XalanDOMString, const XalanDOMString*>

## Constructor & Destructor Documentation

XPathProcessorImpl::XPathProcessorImpl ( | MemoryManagerType &theManager XALAN_DEFAULT_MEMMGR )

XPathProcessorImpl::~XPathProcessorImpl ( | )`[virtual]`

## Member Function Documentation

XPathProcessorImpl * XPathProcessorImpl::create ( | MemoryManagerType & theManager )`[static]`

void XPathProcessorImpl::initMatchPattern ( | XPath & pathObj,
| XPathConstructionContext & constructionContext,
| const XalanDOMString & expression,
| const PrefixResolver & resolver,
| const LocatorType * locator = 0,
| bool allowVariableReferences = true,
| bool allowKeyFunction = true )`[virtual]`

  | Given a string, create an XSLT Match Pattern object. Parameters:
  pathObj | XPath object to be initialized
  constructionContext | The construction context
  expression | expression that will be evaluated
  resolver | prefix resolver to use
  locator | the LocatorType to use for error report. May be null
  allowVariableReferences | If true, variable references are allowed.
  allowKeyFunction | If true, calls to the key() function are allowed.
Reimplemented from XPathProcessor.

void XPathProcessorImpl::initXPath ( | XPath & pathObj,
| XPathConstructionContext & constructionContext,
| const XalanDOMString & expression,
| const PrefixResolver & resolver,
| const LocatorType * locator = 0,
| bool allowVariableReferences = true,
| bool allowKeyFunction = true )`[virtual]`

  | Given a string, make an XPath object, in order that a parse doesn't have to be done each time the expression is executed. Parameters:
  pathObj | XPath object to be initialized
  constructionContext | The construction context
  expression | expression that will be evaluated
  resolver | prefix resolver to use
  locator | the LocatorType to use for error report. May be null
  allowVariableReferences | If true, variable references are allowed.
  allowKeyFunction | If true, calls to the key() function are allowed.
Reimplemented from XPathProcessor.

The documentation for this class was generated from the following file:

- XPathProcessorImpl.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.10 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.